# Installation

The package is easy to install and keep up to date.

## Pip 📦

Install `weco` using [`pip`](https://pip.pypa.io/en/stable/getting-started/) - 

```bash
pip install weco
```
*Installing inside a python virtual environment or conda environment is highly recommended.*

If you already have the package and simply want to upgrade - 

```bash
pip install --upgrade weco
```

## Source 📖

You can also install from [`source`](https://github.com/WecoAI/weco-python) - 

```bash
git clone https://github.com/WecoAI/weco-python
cd weco-python
python install -e .
```

To upgrade the package to the latest version, you can run the following commands - 

```bash
cd weco-python
git pull origin main
python install -e .
```

## Jump In 🏊‍♂️

If you need help getting started, you can check out any of the following resources we provide:

- [Introduction](introduction.md)
- [Cookbook](../cookbook/cookbook.md)
- [API Reference](../api/api.md)

Happy building $f$(👷‍♂️)!
